Subject: bug#7583: 23.2; ido loads tramp too eagerly

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 Oct 2011 15:36:32 -0400

>>>>> without starting tramp
>>>> I do not know what that means.
>>> I mean trying to connect to a remote host via tramp.
>> So you're saying that Tramp tries to connect to "toto" when you type
>> "/toto:"?
> Yes, but that is what we expect. (/toto: should be a valid hostname
> maybe set in ~/.ssh/config)
> What we don't want is when you write:
> /ssh: => tramp try to connect

Does this happen?  Where does it connect to?

> /sudo: ==> tramp try to connect

Again, where does Tramp try to connect in this case?

> we expect tramp to connect only when we have:
> /sudo:: and not before (i.e before entering the second ":").

When I do C-x C-f /ssh: TAB Tramp does not try to connect to anything,
it just shows me some hostname completion.

> But I have no problem here with my code (anything), 
> it seem the problem is in ido and/or icomplete.

I get the same behavior with or without icomplete-mode.  I think we need
you to give us a more specific recipe.

        Stefan